## org.omg.CORBA
Class ExceptionDefSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ExceptionDefSeqHelper

public class ExceptionDefSeqHelper
extends java.lang.Object

Helper class for : ExceptionDefSeq

Author:
  OpenORB Compiler

Constructor Summary
`ExceptionDefSeqHelper()`

Method Summary
`static ExceptionDef[]` `extract(Any a)` Extract ExceptionDefSeq from an any
`static java.lang.String` `id()` Return the ExceptionDefSeq IDL ID
`static void` `insert(Any a, ExceptionDef[] t)` Insert ExceptionDefSeq into an any
`static ExceptionDef[]` `read(InputStream istream)` Read ExceptionDefSeq from a marshalled stream
`static TypeCode` `type()` Return the ExceptionDefSeq TypeCode
`static void` `write(OutputStream ostream, ExceptionDef[] value)` Write ExceptionDefSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionDefSeqHelper

    public ExceptionDefSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ExceptionDef[] t)

  Insert ExceptionDefSeq into an any
  Parameters:
    `a` - an any
    `t` - ExceptionDefSeq value

### extract

    public static ExceptionDef[] extract(Any a)

  Extract ExceptionDefSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ExceptionDefSeq value

### type

    public static TypeCode type()

  Return the ExceptionDefSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ExceptionDefSeq IDL ID
  Returns:
    an ID

### read

    public static ExceptionDef[] read(InputStream istream)

  Read ExceptionDefSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ExceptionDefSeq value

### write

    public static void write(OutputStream ostream,
                             ExceptionDef[] value)

  Write ExceptionDefSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ExceptionDefSeq value